<!--<div class="back-controls">-->
<!--  <a [routerLink]="'/login'" class="d-flex align-items-center">-->
<!--    <mat-icon class="large">-->
<!--      close-->
<!--    </mat-icon>-->
<!--  </a>-->
<!--</div>-->
<div class="contrast-content">
  <div class="container">
    <div class="back-controls">
      <div class="right">
        <a [routerLink]="'/login'" class="d-flex align-items-center">
          <mat-icon class="large m-0">
            close
          </mat-icon>
        </a>
      </div>
    </div>

    <div class="forgot-wrapper">
      <div class="forgot-wrapper-inner">
        <div class="row" *ngIf="!formSubmitted">
          <div class="col-xl-12 text-center">
            <img src="../../../../assets/kavanii-reverse.PNG" alt="logo" class="logo mb-3">
          </div>
        </div>

        <div class="row justify-content-md-center" *ngIf="errorMessage">
          <div class="col-12 col-lg-5 text-left p-0 mb-1">
            <app-alert [message]="errorMessage" [type]="messageType" [closable]="false"
                       [isAbsolute]="false"></app-alert>
          </div>
        </div>

        <!--    <div class="row justify-content-md-center" *ngIf="errorMessage">-->
        <!--      <div class="col-12 col-lg-5 text-left p-0">-->
        <!--        <div  class="alert alert-danger d-flex font-weight-bold">-->
        <!--          <mat-icon class="error-icon">-->
        <!--            error-->
        <!--          </mat-icon>-->
        <!--          <div class="error-font">-->
        <!--            {{ errorMessage }}-->
        <!--          </div>-->
        <!--        </div>-->
        <!--      </div>-->
        <!--    </div>-->

        <div class="row justify-content-md-center ">
          <div class="col-12 col-lg-5 text-center forgot-bg" *ngIf="!formSubmitted">
            <form class="forgot-form" [formGroup]="passwordForm">
              <div class="text-left mb-3">
                <h5 class="bold">
                  Set my password
                </h5>
              </div>
              <div class="forgot-field">
                <mat-form-field appearance="outline" class="full-width"
                                [ngClass]="{ 'mb-0': !passwordForm.get('password').hasError('required'), 'rmv-pb' : !passwordForm.get('password').hasError('required') }">
                  <mat-label>New Password</mat-label>
                  <input matInput placeholder="New Password" [type]="isDisplayNewPass ? 'text' : 'password'"
                         formControlName="password" [(ngModel)]="resetPassModel.password" name="newPassword"/>
                  <mat-icon class="cursor-pointer" matSuffix (click)="isDisplayNewPass = !isDisplayNewPass">visibility
                  </mat-icon>
                  <mat-error *ngIf="passwordForm.get('password').hasError('required')">
                    This field is required.
                  </mat-error>
                </mat-form-field>
                <div class="text-left">

                  <mat-error *ngIf="passwordForm.get('password').hasError('hasNumber')">
                    Must contain at least 1 number!
                  </mat-error>

                  <mat-error *ngIf="passwordForm.get('password').hasError('hasCapitalCase')">
                    Must contain at least 1 Upper Case letter!
                  </mat-error>

                  <mat-error *ngIf="passwordForm.get('password').hasError('hasSmallCase')">
                    Must contain at least 1 Lower Case letter!
                  </mat-error>

                  <mat-error *ngIf="passwordForm.get('password').hasError('hasSpecialCharacters')">
                    Must contain at least 1 Special Character!
                  </mat-error>

                  <mat-error *ngIf="passwordForm.get('password').hasError('minlength')">
                    Must contain at least 8 characters!
                  </mat-error>
                </div>
              </div>
              <div class="forgot-field">
                <mat-form-field appearance="outline" class="full-width">
                  <mat-label>Confirm Password</mat-label>
                  <input matInput placeholder="Confirm Password" [type]="isDisplayConfirmPass ? 'text' : 'password'"
                         formControlName="confirmPassword" name="confirmPassword"/>
                  <mat-icon class="cursor-pointer" matSuffix (click)="isDisplayConfirmPass = !isDisplayConfirmPass">
                    visibility
                  </mat-icon>
                  <mat-error *ngIf="passwordForm.get('confirmPassword').hasError('passwordNotMatched')">
                    Password does not match.
                  </mat-error>
                  <mat-error *ngIf="passwordForm.get('confirmPassword').hasError('required')">
                    This field is required.
                  </mat-error>
                </mat-form-field>
              </div>

              <div class="mt-3 text-center">
                <button mat-raised-button color="accent" class="mr-3 reset-btn" (click)="submitForm($event);"
                        [disabled]="submitting">
                  {{
                  !submitting ? 'Save' : 'Saving...'
                  }}
                </button>
              </div>
            </form>
          </div>

          <div class="col-xl-5 text-center" *ngIf="formSubmitted">
            <form class="forgot-form text-white">
              <img src="../../../../assets/kavanii-reverse.PNG" alt="logo" class="logo mb-5">
              <div *ngIf="errorMessage">
                <p class="alert alert-danger">
                  {{ errorMessage }}
                </p>
              </div>
              <div *ngIf="!errorMessage">
                <h5 class="text-white">
                  <!-- Password is set successfully. -->
                  Password is set successfully. Please use this credential to login
                </h5>
              </div>
              <div class="mt-3 text-center">
                <button mat-stroked-button color="accent" [routerLink]="'/loginFull'">Click here to Login</button>
              </div>
            </form>
          </div>
        </div>

        <div class="row justify-content-md-center" *ngIf="!formSubmitted">
          <div class="col-12 col-lg-5 text-center">
            <div class="d-flex justify-content-center need-help-container">
              <mat-icon class="text-white">help_outline</mat-icon>
              <div class="text-white font-weight-bold">
                Need help?
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
